osl::eval::ml::KingPieceRelativeNoSupport Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::KingPieceRelativeNoSupport Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::KingPieceRelativeNoSupport:
[legend]

## Public Types
enum | { ONE_DIM = 4284, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<int Sign>
void | adjust (int attack, int defense, MultiInt &out)

## Static Public Member Functions
static MultiInt | eval (const NumEffectState &state)
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, const CArray< PieceMask, 2 > &effected_mask, const MultiInt &last_values)
static void | setUp (const Weights &weights)
template<int Sign>
static void | adjust (int attack, int defense, MultiInt &out)

## Static Private Member Functions
static int | index (const Player player, const Square king, const Ptype ptype, const Square pos)
static int | index (const Player player, const Square king, const Piece piece)

## Static Private Attributes
static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 67 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 70 of file kingTable.h.

## Member Function Documentation

template<int Sign>

static void osl::eval::ml::KingPieceRelativeNoSupport::adjust | ( | int | attack,
|  | int | defense,
|  | MultiInt & | out
| ) |  |
| static

template<int Sign>

void osl::eval::ml::KingPieceRelativeNoSupport::adjust | ( | int | attack,
|  | int | defense,
|  | MultiInt & | out
| ) |  |
| inline

Definition at line 138 of file kingTable.cc.

MultiInt osl::eval::ml::KingPieceRelativeNoSupport::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 147 of file kingTable.cc.

References adjust(), osl::BLACK, result, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

MultiInt osl::eval::ml::KingPieceRelativeNoSupport::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const CArray< PieceMask, 2 > & | effected_mask,
|  | const MultiInt & | last_values
| ) |  |
| static

Definition at line 180 of file kingTable.cc.

References adjust(), osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::Move::from(), osl::Move::isDrop(), osl::KING, osl::Piece::number(), osl::Move::oldPtype(), osl::Piece::owner(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, result, osl::Move::to(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

static int osl::eval::ml::KingPieceRelativeNoSupport::index | ( | const Player | player,
|  | const Square | king,
|  | const Ptype | ptype,
|  | const Square | pos
| ) |  |
| inlinestaticprivate

Definition at line 81 of file kingTable.h.

References osl::BLACK, osl::PTYPE_PIECE_MIN, osl::Square::x(), and osl::Square::y().

static int osl::eval::ml::KingPieceRelativeNoSupport::index | ( | const Player | player,
|  | const Square | king,
|  | const Piece | piece
| ) |  |
| inlinestaticprivate

Definition at line 89 of file kingTable.h.

References osl::eval::ml::KingPieceRelative::index(), osl::Piece::ptype(), and osl::Piece::square().

void osl::eval::ml::KingPieceRelativeNoSupport::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 127 of file kingTable.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, osl::eval::ml::KingPieceRelativeNoSupport::ONE_DIM > osl::eval::ml::KingPieceRelativeNoSupport::table
| staticprivate

Definition at line 94 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc